{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>timesheet_approval_statuses:write</code>\n\nCreates a new timesheet approval status for a user's timesheet week. The start_date must be a Monday or Sunday, and end_date must be the last day of that week (Sunday for a Monday start, Saturday for a Sunday start).\nReturns the created timesheet approval status record.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["approval_status","created_at","end_date","start_date","user","user.name","workspace","workspace.name"]},"examples":[["approval_status","created_at","end_date","start_date","user","user.name","workspace","workspace.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/CreateTimesheetApprovalStatusRequest"}}}},"required":["body"],"additionalProperties":false,"definitions":{"CreateTimesheetApprovalStatusRequest":{"type":"object","required":["user","workspace","start_date","end_date"],"description":"A request to create a timesheet approval status.","properties":{"user":{"description":"Globally unique identifier for the user whose timesheet this is.","type":"string","examples":["12345"]},"workspace":{"description":"Globally unique identifier for the workspace.","type":"string","examples":["12345"]},"start_date":{"description":"The start date of the timesheet week (must be a Monday or Sunday).","type":"string","format":"date","examples":["2025-01-06"]},"end_date":{"description":"The end date of the timesheet week (must be the following Sunday for Monday starts, or the following Saturday for Sunday starts).","type":"string","format":"date","examples":["2025-01-12"]}}}}},"name":"Create a timesheet approval status","id":"asana.createtimesheetapprovalstatus","example":{"body":{}},"maxRequests":1,"summary":false}}